﻿using System.Collections.Generic;
using Telerik.Windows.Controls;
using System.Windows;
using Telerik.Windows.Data;
using System.ComponentModel;

namespace CheckBoxColumn
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow
	{
		public class Customer : INotifyPropertyChanged
		{
            public event PropertyChangedEventHandler PropertyChanged;

			public string Name
			{
				get; 
				set;
			}

			public int Age
			{
				get; 
				set;
			}

            private bool hasOrders;
			public bool HasOrders
			{
                get
                {
                    return hasOrders;
                }
                set
                {
                    hasOrders = value;

                    OnPropertyChanged("HasOrders");
                }
			}

            private void OnPropertyChanged(string propertyName)
            {
                if (this.PropertyChanged != null)
                {
                    this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
                }
            }
        }


		public MainWindow()
		{
			InitializeComponent();

            BindingList<Customer> customers = new BindingList<Customer>();
			customers.Add(new Customer { Age = 25, Name = "John", HasOrders = true });
			customers.Add(new Customer { Age = 23, Name = "Mary", HasOrders = false });

			this.DataContext = customers;
		}

        private void radGridViewCustomers_MouseLeftButtonDown(object sender, RoutedEventArgs e)
        {
            Record record = (e.Source as RadGridView).CurrentRecord;
			Customer customer = (Customer) (record as DataRecord).Data;
			customer.HasOrders = !customer.HasOrders;
        }
	}
}
